package org.wso2.carbon.device.mgt.ios.payload.beans;

public class SecurityAssociationParameters {

    private EncryptionAlgorithm encryptionAlgorithm;
    private IntegrityAlgorithm integrityAlgorithm;
    private Integer DiffieHellmanGroup;
    private Integer lifeTimeInMinutes;

    public EncryptionAlgorithm getEncryptionAlgorithm() {
        return encryptionAlgorithm;
    }

    public void setEncryptionAlgorithm(EncryptionAlgorithm encryptionAlgorithm) {
        this.encryptionAlgorithm = encryptionAlgorithm;
    }

    public IntegrityAlgorithm getIntegrityAlgorithm() {
        return integrityAlgorithm;
    }

    public void setIntegrityAlgorithm(IntegrityAlgorithm integrityAlgorithm) {
        this.integrityAlgorithm = integrityAlgorithm;
    }

    public Integer getDiffieHellmanGroup() {
        return DiffieHellmanGroup;
    }

    public void setDiffieHellmanGroup(Integer diffieHellmanGroup) {
        DiffieHellmanGroup = diffieHellmanGroup;
    }

    public Integer getLifeTimeInMinutes() {
        return lifeTimeInMinutes;
    }

    public void setLifeTimeInMinutes(Integer lifeTimeInMinutes) {
        this.lifeTimeInMinutes = lifeTimeInMinutes;
    }
}
